import { ProductPriceSourceData, ProductPriceItem } from '../../../globals/shared/productprice/product-price-types';
import { FindServiceAndPricePostageType, FindServiceAndPriceWeight, FindServiceAndPriceDeliveryScope } from './pn-find-service-and-price-types';
export declare class PnfindServiceAndPrice {
    source: string;
    language: string;
    market: string;
    filteredItems: ProductPriceItem[];
    postagetype: FindServiceAndPricePostageType;
    weight: FindServiceAndPriceWeight;
    weightvalue: number;
    deliveryscope: FindServiceAndPriceDeliveryScope;
    sourceData: ProductPriceSourceData;
    componentWillLoad(): void;
    getDataSource(): Promise<void>;
    setState(): void;
    filterItems(): void;
    render(): any;
}
